package com.ruoyi.ibs.list.service.impl;

import java.util.List;

import com.ruoyi.ibs.list.domain.RecordRelate;
import com.ruoyi.ibs.list.mapper.RecordRelateMapper;
import com.ruoyi.ibs.list.service.IRecordRelateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 建档客户关联商户，关联企业，关联人信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-20
 */
@Service
public class RecordRelateServiceImpl implements IRecordRelateService
{
    @Autowired
    private RecordRelateMapper recordRelateMapper;

    /**
     * 查询建档客户关联商户，关联企业，关联人信息
     * 
     * @param id 建档客户关联商户，关联企业，关联人信息主键
     * @return 建档客户关联商户，关联企业，关联人信息
     */
    @Override
    public RecordRelate selectRecordRelateById(Long id)
    {
        return recordRelateMapper.selectRecordRelateById(id);
    }

    /**
     * 查询建档客户关联商户，关联企业，关联人信息列表
     * 
     * @param recordRelate 建档客户关联商户，关联企业，关联人信息
     * @return 建档客户关联商户，关联企业，关联人信息
     */
    @Override
    public List<RecordRelate> selectRecordRelateList(RecordRelate recordRelate)
    {
        return recordRelateMapper.selectRecordRelateList(recordRelate);
    }

    /**
     * 新增建档客户关联商户，关联企业，关联人信息
     * 
     * @param recordRelate 建档客户关联商户，关联企业，关联人信息
     * @return 结果
     */
    @Override
    public int insertRecordRelate(RecordRelate recordRelate)
    {
        return recordRelateMapper.insertRecordRelate(recordRelate);
    }

    /**
     * 修改建档客户关联商户，关联企业，关联人信息
     * 
     * @param recordRelate 建档客户关联商户，关联企业，关联人信息
     * @return 结果
     */
    @Override
    public int updateRecordRelate(RecordRelate recordRelate)
    {
        return recordRelateMapper.updateRecordRelate(recordRelate);
    }

    /**
     * 批量删除建档客户关联商户，关联企业，关联人信息
     * 
     * @param ids 需要删除的建档客户关联商户，关联企业，关联人信息主键
     * @return 结果
     */
    @Override
    public int deleteRecordRelateByIds(Long[] ids)
    {
        return recordRelateMapper.deleteRecordRelateByIds(ids);
    }

    /**
     * 删除建档客户关联商户，关联企业，关联人信息信息
     * 
     * @param id 建档客户关联商户，关联企业，关联人信息主键
     * @return 结果
     */
    @Override
    public int deleteRecordRelateById(Long id)
    {
        return recordRelateMapper.deleteRecordRelateById(id);
    }
}
